http://apigateway.{region}.amazonaws.com/usageplans/{usageplanId}/keys/{keyId}Gets a usage plan key of a given key identifier.
The Id of the UsagePlan resource representing the usage plan containing the to-be-retrieved UsagePlanKey resource representing a plan customer.
The key Id of the to-be-retrieved UsagePlanKey resource representing a plan customer.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://apigateway.{region}.amazonaws.com/usageplans/{usageplanId}/keys/{keyId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://apigateway.{region}.amazonaws.com/usageplans/{usageplanId}/keys/{keyId}Gets a usage plan key of a given key identifier.
The Id of the UsagePlan resource representing the usage plan containing the to-be-retrieved UsagePlanKey resource representing a plan customer.
The key Id of the to-be-retrieved UsagePlanKey resource representing a plan customer.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://apigateway.{region}.amazonaws.com/usageplans/{usageplanId}/keys/{keyId}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}